digiKam Developer Documentation: Digikam::AutotagsClassifierBase Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::AutotagsClassifierBase Class Reference
Inheritance diagram for Digikam::AutotagsClassifierBase:

## Public Member Functions
| AutotagsClassifierBase (float _threshold, const QString &_predefinedClassFile)
QList< QString > | getClassStrings (const QList< int > &labelList) const
QList< int > | predictMulti (const QList< cv::Mat > &targets) const override
QList< int > | predictMulti (const QList< cv::UMat > &targets) const override
bool | retrain () override
Public Member Functions inherited from Digikam::MLClassifierFoundation
virtual int | predict (const cv::Mat &target, const QList< int > &exclusionLabelList=QList< int >()) const =0
virtual int | predict (const cv::UMat &target, const QList< int > &exclusionLabelList=QList< int >()) const =0
void | setThreshold (float _threshold)

## Protected Member Functions
bool | loadTrainingData () override

## Protected Attributes
QList< QString > | predefinedClasses
QString | predefinedClassFile
Protected Attributes inherited from Digikam::MLClassifierFoundation
QReadWriteLock | lock
float | threshold = 0.0F

## Member Function Documentation

## ◆ loadTrainingData()

bool Digikam::AutotagsClassifierBase::loadTrainingData | ( |  | ) |
| overrideprotectedvirtual

Implements Digikam::MLClassifierFoundation.

## ◆ predictMulti() [1/2]

QList< int > Digikam::AutotagsClassifierBase::predictMulti | ( | const QList< cv::Mat > & | targets | ) | const
| inlineoverridevirtual

Implements Digikam::MLClassifierFoundation.

Reimplemented in Digikam::AutotagsClassifierYolo.

## ◆ predictMulti() [2/2]

QList< int > Digikam::AutotagsClassifierBase::predictMulti | ( | const QList< cv::UMat > & | targets | ) | const
| inlineoverridevirtual

Implements Digikam::MLClassifierFoundation.

## ◆ retrain()

bool Digikam::AutotagsClassifierBase::retrain | ( |  | ) |
| inlineoverridevirtual

Implements Digikam::MLClassifierFoundation.